<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class CatalogPropertyTypeEnum
{
    public const STRING = 'string';
    public const INTEGER = 'integer';
    public const DOUBLE = 'double';
    public const BOOLEAN = 'boolean';
    public const DATETIME = 'datetime';
    public const LINK = 'link';
    public const DIRECTORY = 'directory';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::STRING,
            self::INTEGER,
            self::DOUBLE,
            self::BOOLEAN,
            self::DATETIME,
            self::LINK,
            self::DIRECTORY,
        ];
    }
}
